[arch-dev-public] KDE 4.9 packages

Andrea Scarpino andrea at archlinux.org
Mon Jun 4 14:40:11 EDT 2012

Hi all,
the first beta of the 4.9 series has been released[1].

As usual, you find the kde packages in the [kde-unstable] repo, which only 
contains major beta release.
Read install instruction from here[2]. NOTE: It requires [testing] enabled.

kde-multimedia has been split, so there's no kdemultimedia-kioslave in 4.9, 
instead you find:
- kdemultimedia-audiocd-kio
- libkcddb
- libkcompactdisc
Packagers should update their deps when 4.9 hits [extra]. In the meantime, 
this is a list of the packages that need to be rebuilt if you enable [kde-
- k3b (replace kioslave with libkcddb to depends)
- audex (replace kioslave with libkcddb, libkcompactdisc to depends)
- kaudiocreator (replace kioslave with libkcddb, libkcompactdisc to depends)
- soundkonverter (replace kioslave with libkcddb to depends)
- tellico (replace kioslave with libkcddb to depends)

Also, there are:
- a new kdebase-runtime dependence: nepomuk-core
- a new game in kdeedu: kdeedu-pairs
- a new kdebase-workspace dependence: kdebase-workspace

kdesdk-kdeaccounts-plugin, kdesdk-kdepalettes, kdeutils-ksecrets have been 
removed from the KDE SC.

Please reply to the thread on BBS[3] or report any bug to our bug tracker[4] 
for any packaging bug.
KDE bugs go in the upstream bug tracker. 

Have a nice update/testing! :)

[1] http://kde.org/announcements/announce-4.9-beta1.php
[2] https://wiki.archlinux.org/index.php/DeveloperWiki:KDE#Using_the_kde-
[3] https://bbs.archlinux.org/viewtopic.php?pid=1111024#p1111024
[4] https://bugs.archlinux.org/


More information about the arch-dev-public mailing list